/* Important: you need to put the .dat and .do files in one folder/
   directory and then set the working folder to that folder. */

set more off

clear
infix ///
 int     year                                 1-4 ///
 byte    datanum                              5-6 ///
 double  serial                               7-14 ///
 int     hhwt                                15-18 ///
 byte    gq                                  19 ///
 int     perwt                               20-23 ///
 int     age                                 24-26 ///
 byte    sex                                 27 ///
 int     race                                28 ///
 long    bpl                                 29-31 ///
 byte    school                              32 ///
 int     higrade                             33-34 ///
 byte    educ99                              35-36 ///
 byte    empstat                             37 ///
 byte    wkswork1                            38-39 ///
 byte    hrswork1                            40-41 ///
 byte    uhrswork                            42-43 ///
 long    incwage                             44-49 ///
 byte    qage                                50 ///
 byte    qsex                                51 ///
 byte    qbpl                                52 ///
 byte    qrace                               53 ///
 byte    qrace2                              54 ///
 byte    qeduc                               55 ///
 byte    qschool                             56 ///
 byte    qhrswork                            57 ///
 byte    quhrswor                            58 ///
 byte    qwkswork                            59 ///
 byte    qincwage                            60 ///
 using usa_00005.dat

label var year `"Census year"'
label var datanum `"Data set number"'
label var serial `"Household serial number"'
label var hhwt `"Household weight"'
label var gq `"Group quarters status"'
label var perwt `"Person weight"'
label var age `"Age"'
label var sex `"Sex"'
label var race `"Race [general version]"'
label var bpl `"Birthplace [general version]"'
label var school `"School attendance"'
label var higrade `"Highest grade of schooling [general version]"'
label var educ99 `"Educational attainment, 1990"'
label var empstat `"Employment status [general version]"'
label var wkswork1 `"Weeks worked last year"'
label var hrswork1 `"Hours worked last week"'
label var uhrswork `"Usual hours worked per week"'
label var incwage `"Wage and salary income"'
label var qage `"Flag for Age"'
label var qsex `"Flag for Sex"'
label var qbpl `"Flag for Bpl, Nativity"'
label var qrace `"Flag for Race, Racamind, Racasian, Racblk, Racpais, Racwht, Racoth, Racnum, Racesing, Probai, Probblk, Proboth, Probwht, Probapi"'
label var qrace2 `"Flag for Race"'
label var qeduc `"Flag for Educrec, Higrade, Educ99"'
label var qschool `"Flag for School, Schltype"'
label var qhrswork `"Flag for Hrswork1 Hrswork2"'
label var quhrswor `"Flag for Uhrswork"'
label var qwkswork `"Flag for Wkswork1, Wkswork2"'
label var qincwage `"Flag for Incwage, Inctot, Incearn"'

label define yearlbl 1850 `"1850"'
label define yearlbl 1860 `"1860"', add
label define yearlbl 1870 `"1870"', add
label define yearlbl 1880 `"1880"', add
label define yearlbl 1900 `"1900"', add
label define yearlbl 1910 `"1910"', add
label define yearlbl 1920 `"1920"', add
label define yearlbl 1930 `"1930"', add
label define yearlbl 1940 `"1940"', add
label define yearlbl 1950 `"1950"', add
label define yearlbl 1960 `"1960"', add
label define yearlbl 1970 `"1970"', add
label define yearlbl 1980 `"1980"', add
label define yearlbl 1990 `"1990"', add
label define yearlbl 2000 `"2000"', add
label define yearlbl 2001 `"2001"', add
label define yearlbl 2002 `"2002"', add
label define yearlbl 2003 `"2003"', add
label define yearlbl 2004 `"2004"', add
label define yearlbl 2005 `"2005"', add
label define yearlbl 2006 `"2006"', add
label define yearlbl 2007 `"2007"', add
label values year yearlbl

label define gqlbl 0 `"Vacant unit"'
label define gqlbl 1 `"Households under 1970 definition"', add
label define gqlbl 2 `"Additional households under 1990 definition"', add
label define gqlbl 3 `"Group quarters--Institutions"', add
label define gqlbl 4 `"Other group quarters"', add
label define gqlbl 5 `"Additional households under 2000 definition"', add
label define gqlbl 6 `"Fragment"', add
label values gq gqlbl

label define agelbl 000 `"Less than 1 year old"'
label define agelbl 001 `"1"', add
label define agelbl 002 `"2"', add
label define agelbl 003 `"3"', add
label define agelbl 004 `"4"', add
label define agelbl 005 `"5"', add
label define agelbl 006 `"6"', add
label define agelbl 007 `"7"', add
label define agelbl 008 `"8"', add
label define agelbl 009 `"9"', add
label define agelbl 010 `"10"', add
label define agelbl 011 `"11"', add
label define agelbl 012 `"12"', add
label define agelbl 013 `"13"', add
label define agelbl 014 `"14"', add
label define agelbl 015 `"15"', add
label define agelbl 016 `"16"', add
label define agelbl 017 `"17"', add
label define agelbl 018 `"18"', add
label define agelbl 019 `"19"', add
label define agelbl 020 `"20"', add
label define agelbl 021 `"21"', add
label define agelbl 022 `"22"', add
label define agelbl 023 `"23"', add
label define agelbl 024 `"24"', add
label define agelbl 025 `"25"', add
label define agelbl 026 `"26"', add
label define agelbl 027 `"27"', add
label define agelbl 028 `"28"', add
label define agelbl 029 `"29"', add
label define agelbl 030 `"30"', add
label define agelbl 031 `"31"', add
label define agelbl 032 `"32"', add
label define agelbl 033 `"33"', add
label define agelbl 034 `"34"', add
label define agelbl 035 `"35"', add
label define agelbl 036 `"36"', add
label define agelbl 037 `"37"', add
label define agelbl 038 `"38"', add
label define agelbl 039 `"39"', add
label define agelbl 040 `"40"', add
label define agelbl 041 `"41"', add
label define agelbl 042 `"42"', add
label define agelbl 043 `"43"', add
label define agelbl 044 `"44"', add
label define agelbl 045 `"45"', add
label define agelbl 046 `"46"', add
label define agelbl 047 `"47"', add
label define agelbl 048 `"48"', add
label define agelbl 049 `"49"', add
label define agelbl 050 `"50"', add
label define agelbl 051 `"51"', add
label define agelbl 052 `"52"', add
label define agelbl 053 `"53"', add
label define agelbl 054 `"54"', add
label define agelbl 055 `"55"', add
label define agelbl 056 `"56"', add
label define agelbl 057 `"57"', add
label define agelbl 058 `"58"', add
label define agelbl 059 `"59"', add
label define agelbl 060 `"60"', add
label define agelbl 061 `"61"', add
label define agelbl 062 `"62"', add
label define agelbl 063 `"63"', add
label define agelbl 064 `"64"', add
label define agelbl 065 `"65"', add
label define agelbl 066 `"66"', add
label define agelbl 067 `"67"', add
label define agelbl 068 `"68"', add
label define agelbl 069 `"69"', add
label define agelbl 070 `"70"', add
label define agelbl 071 `"71"', add
label define agelbl 072 `"72"', add
label define agelbl 073 `"73"', add
label define agelbl 074 `"74"', add
label define agelbl 075 `"75"', add
label define agelbl 076 `"76"', add
label define agelbl 077 `"77"', add
label define agelbl 078 `"78"', add
label define agelbl 079 `"79"', add
label define agelbl 080 `"80"', add
label define agelbl 081 `"81"', add
label define agelbl 082 `"82"', add
label define agelbl 083 `"83"', add
label define agelbl 084 `"84"', add
label define agelbl 085 `"85"', add
label define agelbl 086 `"86"', add
label define agelbl 087 `"87"', add
label define agelbl 088 `"88"', add
label define agelbl 089 `"89"', add
label define agelbl 090 `"90 (90+ in 1980 and 1990)"', add
label define agelbl 091 `"91"', add
label define agelbl 092 `"92"', add
label define agelbl 093 `"93"', add
label define agelbl 094 `"94"', add
label define agelbl 095 `"95"', add
label define agelbl 096 `"96"', add
label define agelbl 097 `"97"', add
label define agelbl 098 `"98"', add
label define agelbl 099 `"99"', add
label define agelbl 100 `"100 (100+ in 1970)"', add
label define agelbl 101 `"101"', add
label define agelbl 102 `"102"', add
label define agelbl 103 `"103"', add
label define agelbl 104 `"104"', add
label define agelbl 105 `"105"', add
label define agelbl 106 `"106"', add
label define agelbl 107 `"107"', add
label define agelbl 108 `"108"', add
label define agelbl 109 `"109"', add
label define agelbl 110 `"110"', add
label define agelbl 111 `"111"', add
label define agelbl 112 `"112 (112+ in the 1980 internal data)"', add
label define agelbl 113 `"113"', add
label define agelbl 114 `"114"', add
label define agelbl 115 `"115 (115+ in the 1990 internal data)"', add
label define agelbl 116 `"116"', add
label define agelbl 117 `"117"', add
label define agelbl 118 `"118"', add
label define agelbl 119 `"119"', add
label define agelbl 120 `"120"', add
label define agelbl 121 `"121"', add
label define agelbl 122 `"122"', add
label define agelbl 123 `"123"', add
label define agelbl 124 `"124"', add
label define agelbl 125 `"125"', add
label define agelbl 126 `"126"', add
label define agelbl 129 `"129"', add
label define agelbl 130 `"130"', add
label define agelbl 135 `"135"', add
label values age agelbl

label define sexlbl 1 `"Male"'
label define sexlbl 2 `"Female"', add
label values sex sexlbl

label define racelbl 1 `"White"'
label define racelbl 2 `"Black/Negro"', add
label define racelbl 3 `"American Indian or Alaska Native"', add
label define racelbl 4 `"Chinese"', add
label define racelbl 5 `"Japanese"', add
label define racelbl 6 `"Other Asian or Pacific Islander"', add
label define racelbl 7 `"Other race, nec"', add
label define racelbl 8 `"Two major races"', add
label define racelbl 9 `"Three or more major races"', add
label values race racelbl

label define bpllbl 001 `"Alabama"', add
label define bpllbl 002 `"Alaska"', add
label define bpllbl 004 `"Arizona"', add
label define bpllbl 005 `"Arkansas"', add
label define bpllbl 006 `"California"', add
label define bpllbl 008 `"Colorado"', add
label define bpllbl 009 `"Connecticut"', add
label define bpllbl 010 `"Delaware"', add
label define bpllbl 011 `"District of Columbia"', add
label define bpllbl 012 `"Florida"', add
label define bpllbl 013 `"Georgia"', add
label define bpllbl 015 `"Hawaii"', add
label define bpllbl 016 `"Idaho"', add
label define bpllbl 017 `"Illinois"', add
label define bpllbl 018 `"Indiana"', add
label define bpllbl 019 `"Iowa"', add
label define bpllbl 020 `"Kansas"', add
label define bpllbl 021 `"Kentucky"', add
label define bpllbl 022 `"Louisiana"', add
label define bpllbl 023 `"Maine"', add
label define bpllbl 024 `"Maryland"', add
label define bpllbl 025 `"Massachusetts"', add
label define bpllbl 026 `"Michigan"', add
label define bpllbl 027 `"Minnesota"', add
label define bpllbl 028 `"Mississippi"', add
label define bpllbl 029 `"Missouri"', add
label define bpllbl 030 `"Montana"', add
label define bpllbl 031 `"Nebraska"', add
label define bpllbl 032 `"Nevada"', add
label define bpllbl 033 `"New Hampshire"', add
label define bpllbl 034 `"New Jersey"', add
label define bpllbl 035 `"New Mexico"', add
label define bpllbl 036 `"New York"', add
label define bpllbl 037 `"North Carolina"', add
label define bpllbl 038 `"North Dakota"', add
label define bpllbl 039 `"Ohio"', add
label define bpllbl 040 `"Oklahoma"', add
label define bpllbl 041 `"Oregon"', add
label define bpllbl 042 `"Pennsylvania"', add
label define bpllbl 044 `"Rhode Island"', add
label define bpllbl 045 `"South Carolina"', add
label define bpllbl 046 `"South Dakota"', add
label define bpllbl 047 `"Tennessee"', add
label define bpllbl 048 `"Texas"', add
label define bpllbl 049 `"Utah"', add
label define bpllbl 050 `"Vermont"', add
label define bpllbl 051 `"Virginia"', add
label define bpllbl 053 `"Washington"', add
label define bpllbl 054 `"West Virginia"', add
label define bpllbl 055 `"Wisconsin"', add
label define bpllbl 056 `"Wyoming"', add
label define bpllbl 090 `"Native American"', add
label define bpllbl 099 `"United States, ns"', add
label define bpllbl 100 `"American Samoa"', add
label define bpllbl 105 `"Guam"', add
label define bpllbl 110 `"Puerto Rico"', add
label define bpllbl 115 `"U.S. Virgin Islands"', add
label define bpllbl 120 `"Other US Possessions"', add
label define bpllbl 150 `"Canada"', add
label define bpllbl 155 `"St. Pierre and Miquelon"', add
label define bpllbl 160 `"Atlantic Islands"', add
label define bpllbl 199 `"North America, ns"', add
label define bpllbl 200 `"Mexico"', add
label define bpllbl 210 `"Central America"', add
label define bpllbl 250 `"Cuba"', add
label define bpllbl 260 `"West Indies"', add
label define bpllbl 300 `"SOUTH AMERICA"', add
label define bpllbl 400 `"Denmark"', add
label define bpllbl 401 `"Finland"', add
label define bpllbl 402 `"Iceland"', add
label define bpllbl 403 `"Lapland, n.s."', add
label define bpllbl 404 `"Norway"', add
label define bpllbl 405 `"Sweden"', add
label define bpllbl 410 `"England"', add
label define bpllbl 411 `"Scotland"', add
label define bpllbl 412 `"Wales"', add
label define bpllbl 413 `"United Kingdom, ns"', add
label define bpllbl 414 `"Ireland"', add
label define bpllbl 419 `"Northern Europe, ns"', add
label define bpllbl 420 `"Belgium"', add
label define bpllbl 421 `"France"', add
label define bpllbl 422 `"Liechtenstein"', add
label define bpllbl 423 `"Luxembourg"', add
label define bpllbl 424 `"Monaco"', add
label define bpllbl 425 `"Netherlands"', add
label define bpllbl 426 `"Switerland"', add
label define bpllbl 429 `"Western Europe, ns"', add
label define bpllbl 430 `"Albania"', add
label define bpllbl 431 `"Andorra"', add
label define bpllbl 432 `"Gibraltar"', add
label define bpllbl 433 `"Greece"', add
label define bpllbl 434 `"Italy"', add
label define bpllbl 435 `"Malta"', add
label define bpllbl 436 `"Portugal"', add
label define bpllbl 437 `"San Marino"', add
label define bpllbl 438 `"Spain"', add
label define bpllbl 439 `"Vatican City"', add
label define bpllbl 440 `"Southern Europe, ns"', add
label define bpllbl 450 `"Austria"', add
label define bpllbl 451 `"Bulgaria"', add
label define bpllbl 452 `"Czechoslovakia"', add
label define bpllbl 453 `"Germany"', add
label define bpllbl 454 `"Hungary"', add
label define bpllbl 455 `"Poland"', add
label define bpllbl 456 `"Romania"', add
label define bpllbl 457 `"Yugoslavia"', add
label define bpllbl 458 `"Central Europe, ns"', add
label define bpllbl 459 `"Eastern Europe, ns"', add
label define bpllbl 460 `"Estonia"', add
label define bpllbl 461 `"Latvia"', add
label define bpllbl 462 `"Lithuania"', add
label define bpllbl 463 `"Baltic States, ns"', add
label define bpllbl 465 `"Other USSR/Russia"', add
label define bpllbl 499 `"Europe, ns"', add
label define bpllbl 500 `"China"', add
label define bpllbl 501 `"Japan"', add
label define bpllbl 502 `"Korea"', add
label define bpllbl 509 `"East Asia, ns"', add
label define bpllbl 510 `"Brunei"', add
label define bpllbl 511 `"Cambodia (Kampuchea)"', add
label define bpllbl 512 `"Indonesia"', add
label define bpllbl 513 `"Laos"', add
label define bpllbl 514 `"Malaysia"', add
label define bpllbl 515 `"Philippines"', add
label define bpllbl 516 `"Singapore"', add
label define bpllbl 517 `"Thailand"', add
label define bpllbl 518 `"Vietnam"', add
label define bpllbl 519 `"Southeast Asia, ns"', add
label define bpllbl 520 `"Afghanistan"', add
label define bpllbl 521 `"India"', add
label define bpllbl 522 `"Iran"', add
label define bpllbl 523 `"Maldives"', add
label define bpllbl 524 `"Nepal"', add
label define bpllbl 530 `"Bahrain"', add
label define bpllbl 531 `"Cyprus"', add
label define bpllbl 532 `"Iraq"', add
label define bpllbl 533 `"Iraq/Saudi Arabia"', add
label define bpllbl 534 `"Israel/Palestine"', add
label define bpllbl 535 `"Jordan"', add
label define bpllbl 536 `"Kuwait"', add
label define bpllbl 537 `"Lebanon"', add
label define bpllbl 538 `"Oman"', add
label define bpllbl 539 `"Qatar"', add
label define bpllbl 540 `"Saudi Arabia"', add
label define bpllbl 541 `"Syria"', add
label define bpllbl 542 `"Turkey"', add
label define bpllbl 543 `"United Arab Emirates"', add
label define bpllbl 544 `"Yemen Arab Republic (North)"', add
label define bpllbl 545 `"Yemen, PDR (South)"', add
label define bpllbl 546 `"Persian Gulf States, n.s."', add
label define bpllbl 547 `"Middle East, ns"', add
label define bpllbl 548 `"Southwest Asia, nec/ns"', add
label define bpllbl 549 `"Asia Minor, ns"', add
label define bpllbl 550 `"South Asia, nec"', add
label define bpllbl 599 `"Asia, nec/ns"', add
label define bpllbl 600 `"AFRICA"', add
label define bpllbl 700 `"Australia and New Zealand"', add
label define bpllbl 710 `"Pacific Islands"', add
label define bpllbl 800 `"Antarctica, ns/nec"', add
label define bpllbl 900 `"Abroad (unknown) or at sea"', add
label define bpllbl 950 `"Other, nec"', add
label define bpllbl 999 `"Missing/blank"', add
label values bpl bpllbl

label define schoollbl 0 `"N/A"'
label define schoollbl 1 `"No, not in school"', add
label define schoollbl 2 `"Yes, in school"', add
label define schoollbl 9 `"Missing"', add
label values school schoollbl

label define higradelbl 00 `"N/A  (or None, 1980)"'
label define higradelbl 01 `"None"', add
label define higradelbl 02 `"Nursery school"', add
label define higradelbl 03 `"Kindergarten"', add
label define higradelbl 04 `"1st grade"', add
label define higradelbl 05 `"2nd grade"', add
label define higradelbl 06 `"3rd grade"', add
label define higradelbl 07 `"4th grade"', add
label define higradelbl 08 `"5th grade"', add
label define higradelbl 09 `"6th grade"', add
label define higradelbl 10 `"7th grade"', add
label define higradelbl 11 `"8th grade"', add
label define higradelbl 12 `"9th grade"', add
label define higradelbl 13 `"10th grade"', add
label define higradelbl 14 `"11th grade"', add
label define higradelbl 15 `"12th grade"', add
label define higradelbl 16 `"1st year"', add
label define higradelbl 17 `"2nd year"', add
label define higradelbl 18 `"3rd year"', add
label define higradelbl 19 `"4th year"', add
label define higradelbl 20 `"5th year or more (40-50)"', add
label define higradelbl 21 `"6th year or more (60,70)"', add
label define higradelbl 22 `"7th year"', add
label define higradelbl 23 `"8th year or more"', add
label values higrade higradelbl

label define educ99lbl 00 `"Not applicable"'
label define educ99lbl 01 `"No school completed"', add
label define educ99lbl 02 `"Nursery school"', add
label define educ99lbl 03 `"Kindergarten"', add
label define educ99lbl 04 `"1st-4th grade"', add
label define educ99lbl 05 `"5th-8th grade"', add
label define educ99lbl 06 `"9th grade"', add
label define educ99lbl 07 `"10th grade"', add
label define educ99lbl 08 `"11th grade"', add
label define educ99lbl 09 `"12th grade, no diploma"', add
label define educ99lbl 10 `"High school graduate, or GED"', add
label define educ99lbl 11 `"Some college, no degree"', add
label define educ99lbl 12 `"Associate degree, type of program not specified"', add
label define educ99lbl 13 `"Associate degree, occupational program"', add
label define educ99lbl 14 `"Associate degree, academic program"', add
label define educ99lbl 15 `"Bachelors degree"', add
label define educ99lbl 16 `"Masters degree"', add
label define educ99lbl 17 `"Professional degree"', add
label define educ99lbl 18 `"Doctorate degree"', add
label values educ99 educ99lbl

label define empstatlbl 0 `"N/A"'
label define empstatlbl 1 `"Employed"', add
label define empstatlbl 2 `"Unemployed"', add
label define empstatlbl 3 `"Not in labor force"', add
label values empstat empstatlbl

