clear

coefs=importdata('coefs.csv');
coefs=coefs.data;

b1=coefs(1);
b2=coefs(2);
%binter=coefs(3:5)';

bd=coefs(3:end-2)';
gam1=coefs(end-1);
gam2=coefs(end);

D=importdata('design.csv');
D=D.data;
pi=D(:,end);
Z=D(:,1:3);
D=D(:,4:end-1);

fe=D*bd;
%I=Z*binter;

J=length(fe);
F=@(x)exp(b1*repmat(x,J,1).*(1+gam1/b1*fe) + b2*(repmat(x,J,1).^2).*(1+gam2/b2*fe) + fe)./(1+exp(b1*repmat(x,J,1).*(1+gam1/b1*fe) + b2*(repmat(x,J,1).^2).*(1+gam2/b2*fe) + fe));

k=99;
step=1/(1+k);

tol=1e-10;
A=NaN(J,k);
B=NaN(J,k);
for i=1:k
    A(:,i)=quadv(F,0,step*i,tol);
    B(:,i)=quadv(F,step*i,1,tol);
end

tau=[1:k]*step;
tau=repmat(tau,J,1);

A=ones(J,k)-A./tau; % want probability of non-missing
B=ones(J,k)-B./(1-tau); % want probability of non-missing

pi=ones(J,k) - repmat(pi,1,k); %marginal cell probability of non-missing

KS=sqrt(abs(A-pi).*abs(B-pi).*tau.*(1-tau))./(pi.*(1-pi));

counter=[1:k]*step;
[counter' max(KS)']

[k,I]=max(KS)
close all
figure(1)
hold on
plot(counter', KS')
plot(counter', max(KS)','--k','linewidth',2)
plot(counter', repmat(max(max(KS)),length(counter),1),':k')
hold off
title('Distance Between Missing and Nonmissing CDFs by Quantile of IRS Earnings and Demographic Cell')
xlabel '\tau'; ylabel k;

print -depsc2 -r150 ~/Output/CPS.eps
system('ps2pdf -dEPSCrop ~/Output/CPS.eps ~/Output/CPS.pdf')

%summary stats
KS2=max(KS');
disp('min KS')
min(KS2)
disp('median KS')
median(KS2)
disp('max KS')
[maxks,bin]=max(KS2)
disp('maxKS group is')
Z(bin,:)


%summary (ages 40-49)

T=importdata('target.csv');
T=logical(T.data);
KScensus=KS(T',:);
Zcensus=Z(T',:);

figure(2)
hold on
plot(counter', KScensus')
plot(counter', max(KScensus)','--k','linewidth',2)
plot(counter', repmat(max(max(KScensus)),length(counter),1),':k')
hold off
title('Distance Between Missing and Nonmissing CDFs by Quantile of IRS Earnings and Demographic Cell')
xlabel '\tau'; ylabel k;
print -depsc2 -r150 ~/Output/CPS_Censusage.eps
system('ps2pdf -dEPSCrop ~/Output/CPS_Censusage.eps ~/Output/CPS_Censusage.pdf')




KScensus2=max(KScensus');
disp('min KS')
min(KScensus2)
disp('median KS')
median(KScensus2)
disp('max KS')
[maxks,bin]=max(KScensus2)
disp('maxKS group (age 40-49) is')
Zcensus(bin,:)




figure(3)
hold on
plot(counter', KS')
plot(counter', max(KS)','--k','linewidth',2)
plot(counter', max(KScensus)','--k','linewidth',2)
plot(counter', repmat(max(max(KS)),length(counter),1),':k')
plot(counter', repmat(max(max(KScensus)),length(counter),1),':k')
hold off
title('Distance Between Missing and Nonmissing CDFs by Quantile of IRS Earnings and Demographic Cell')
xlabel '\tau'; ylabel k;
print -depsc2 -r150 ~/Output/CPS_big.eps
system('ps2pdf -dEPSCrop ~/Output/CPS_big.eps ~/Output/CPS_big.pdf')



